if(NativeInterface == null){
    var NativeInterface = {nativeCallback: (msg)=>console.log("Voting WebView: No native callback: " + msg)};
}

if(votingInProgress == null){
    var votingInProgress = false
}

if(alreadyVoted == null){
    var alreadyVoted = false;
}

NativeInterface.nativeCallback("First run");
var interval = setInterval(() => {
NativeInterface.nativeCallback("In interval!");
    if(votingInProgress || alreadyVoted){
        NativeInterface.nativeCallback("Already in progress or voted");
        if(interval != null){
            clearInterval(interval);
        }
        return;
    }
    votingInProgress = true;
    document.querySelectorAll(".answer-wrap").forEach(li => {
        NativeInterface.nativeCallback("Traversing option");
        const labels = li.querySelectorAll("label");
        if(labels.length === 0){
        NativeInterface.nativeCallback("No label");
            return;
        }
        const label = labels[0];
        const text = label.innerHTML;

        if(text.indexOf("Moneta") != -1){
            NativeInterface.nativeCallback("Found Moneta option");
            const radios = label.parentNode.querySelectorAll("input[type=radio]");
            if(radios.length == 0){
                NativeInterface.nativeCallback("No Radio found");
                return;
            }
            const radio = radios[0];


            radio.checked = true;

            const submitBtn = document.querySelector(".vote-submit>button");
            NativeInterface.nativeCallback("Submit");
            submitBtn.click();
            alreadyVoted = true;
            NativeInterface.nativeCallback("Success!");
            if(interval != null){
                clearInterval(interval);
            }
            const capcha = document.querySelector(".vote-submit>.cc")
            if(capcha != null){
                var elementPosition = capcha.getBoundingClientRect().top
                var offsetPosition = elementPosition - 150
                window.scrollTo({
                          top: offsetPosition,
                          behavior: "smooth"
                      });
            }
        }
    });
    votingInProgress = false;
}, 1000);
